> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Network churn capacity per pool

This endpoint returns a summary of activations and exits, broken down by staking pool.

Here's how to interpret the inputs required to operate it 👇

| Parameter     | Description                                                                            |
| :------------ | :------------------------------------------------------------------------------------- |
| `window`      | The time window of aggregation. You might ask for `1d`, `7d`, `30d` or `All-time` data |
| `stakeAction` | Direction of flow. This can be either of `activation` or `exit`                        |


## OpenAPI

````yaml get /v0/eth/network/capacity/pool
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/network/capacity/pool:
    get:
      tags:
        - Network
      summary: Get Network Churn Capacity Pool
      operationId: get_network_churn_capacity_pool_v0_eth_network_capacity_pool_get
      parameters:
        - name: window
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/TimeWindow'
            default: 1d
        - name: stakeAction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/StakeAction'
            default: activation
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NetworkChurnCapacityPool'
                title: >-
                  Response Get Network Churn Capacity Pool V0 Eth Network
                  Capacity Pool Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    StakeAction:
      type: string
      enum:
        - activation
        - exit
      title: StakeAction
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    NetworkChurnCapacityPool:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        stakeAction:
          $ref: '#/components/schemas/StakeAction'
        latestEpoch:
          type: integer
          minimum: 0
          title: Latestepoch
        churnLimit:
          type: integer
          minimum: 0
          title: Churnlimit
        pool:
          type: string
          title: Pool
        validatorCount:
          type: integer
          minimum: 0
          title: Validatorcount
        capacityFilled:
          type: number
          minimum: 0
          title: Capacityfilled
        networkCapacityRemaining:
          type: number
          minimum: 0
          title: Networkcapacityremaining
      type: object
      required:
        - timeWindow
        - stakeAction
        - latestEpoch
        - churnLimit
        - pool
        - validatorCount
        - capacityFilled
        - networkCapacityRemaining
      title: NetworkChurnCapacityPool
      examples:
        - capacityFilled: 0.28048
          churnLimit: 12600
          latestEpoch: 187225
          networkCapacityRemaining: 0.41198
          pool: Lido
          stakeAction: activation
          time_window: 7d
          validatorCount: 3534
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````